Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Class ObservableMapLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.jface.databinding.viewers.ObservableMapLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

    public class ObservableMapLabelProvider

extends LabelProvider
implements ILabelProvider, ITableLabelProvider

A label provider based on one or more observable maps that track attributes that this label provider uses for display. Clients may customize by subclassing and overriding `getColumnText(Object, int)`, `getColumnImage(Object, int)`, for tables or trees with columns, or by implementing additional mixin interfaces for colors, fonts etc.

Since:
  1.1

Field Summary
`protected IObservableMap[]` `attributeMaps` Observable maps typically mapping from viewer elements to label values.

Constructor Summary
`ObservableMapLabelProvider(IObservableMap attributeMap)`
`ObservableMapLabelProvider(IObservableMap[] attributeMaps)`

Method Summary
`void` `dispose()` The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list.
`Image` `getColumnImage(Object element, int columnIndex)` Returns the label image for the given column of the given element.
`String` `getColumnText(Object element, int columnIndex)` Returns the label text for the given column of the given element.
`Image` `getImage(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String` `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Field Detail

### attributeMaps

    protected IObservableMap[] attributeMaps

  Observable maps typically mapping from viewer elements to label values. Subclasses may reference these maps to provide custom labels.

  Since:
    1.4

Constructor Detail

### ObservableMapLabelProvider

    public ObservableMapLabelProvider(IObservableMap attributeMap)

Parameters:
  `attributeMap` -

### ObservableMapLabelProvider

    public ObservableMapLabelProvider(IObservableMap[] attributeMaps)

Parameters:
  `attributeMaps` -

Method Detail

### dispose

    public void dispose()

  Description copied from class: `BaseLabelProvider`
  The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list. Subclasses may extend but should call the super implementation.

  Specified by:
    `dispose` in interface `IBaseLabelProvider`
  Overrides:
    `dispose` in class `BaseLabelProvider`

### getImage

    public Image getImage(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `LabelProvider`
  Parameters:
    `element` - the element for which to provide the label image
  Returns:
    the image used to label the element, or `null` if there is no image for the given object

### getText

    public String getText(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`
  Parameters:
    `element` - the element for which to provide the label text
  Returns:
    the text string used to label the element, or `null` if there is no text label for the given object

### getColumnImage

    public Image getColumnImage(Object element,
                                int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label image for the given column of the given element.

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears
  Returns:
    Image or `null` if there is no image for the given object at columnIndex

### getColumnText

    public String getColumnText(Object element,
                                int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label text for the given column of the given element.

  Specified by:
    `getColumnText` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears
  Returns:
    String or or `null` if there is no text for the given object at columnIndex

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.